{ stdenv, buildGoModule, fetchFromGitHub, CoreServices }:

buildGoModule rec {
  pname = "mutagen";
  version = "0.11.2";

  src = fetchFromGitHub {
    owner = "mutagen-io";
    repo = pname;
    rev = "v${version}";
    sha256 = "0ykzrxlllip4wvhd9rja5bcr2m72695fjj2q1scwn8ri6jcgfa19";
  };

  modSha256 = "1r6b4y6civk75if6nljl66pgv5qm7x05qqby1anf7s7cz7d1rc3g";

  buildInputs = stdenv.lib.optionals stdenv.isDarwin [ CoreServices ];

  subPackages = [ "cmd/mutagen" "cmd/mutagen-agent" ];

  meta = with stdenv.lib; {
    description = "Make remote development work with your local tools";
    homepage = "https://mutagen.io/";
    changelog = "https://github.com/mutagen-io/mutagen/releases/tag/v${version}";
    maintainers = [ maintainers.marsam ];
    license = licenses.mit;
  };
}
